Bug 101793 - Using an SMP kernel, the system hangs when the configuration space of the PCI device is actively communicating.
Using an SMP kernel, the system hangs when the configuration space of the PCI...
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i686 Linux
high Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-06 18:13 EDT by Need Real Name
Modified: 2007-03-27 00:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-08-06 18:13:50 EDT
VERSION/RELEASE:
All SMP kernels in RedHat 7.3, 8.0, 9.0

REPRODUCIBLE:
Yes

STEPS TO REPRODUCE:
0) List the PCI devices on your system:

$lspci

The output will be a long list of devices, in the following format:

00:07.0 VGA compatible controller: Chips an...

1) run the following command (which reads the configuration space):

$while [ 1 ] ; do cat /proc/bus/pci/00/07.0 > /dev/null ; done &

Notice how the lspci output is used in this command - 00:07.0 
becomes /proc/bus/pci/00/07.0 (feel to use a different device or more than one)

2) start and stop X windows (using xinit) between 3 and 15 times

ACTUAL RESULTS:
The system enters a completely unresponsive state and must be rebooted.

EXPECTED RESULTS:
Interaction with the PCI configuration space should not alter system stability 
and should not cause a system crash.

ADDITIONAL INFORMATION:
This problem has been identified and tested in numerous hardware environments 
(dual PIII & dual XEON, different motherboards).  In all of these situations 
(using an SMP kernel), activity in the configuration space of the PCI bus, 
along with the initialization of X, caused the system to crash.

This test was also run on single processor machines and the symptoms were NOT 
detected.
Comment 1 Bugzilla owner 2004-09-30 11:41:24 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.